const { execSync } = require('child_process');
const path = require('path');

// Get the project directory where the user runs npm install
const userProjectDir = path.resolve(process.cwd());

// ESLint command
const eslintCommand = `npx eslint ${userProjectDir} --ext .js,.jsx`;

try {
  console.log('Running ESLint with react-coding-standards...');
  execSync(eslintCommand, { stdio: 'inherit' }); // Run eslint command
  console.log('Linting completed successfully!');
} catch (error) {
  console.error('Error running ESLint:', error.message);
  process.exit(1);
}
